mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

Used with to explicitly control the element type of the .

Indicates how to marshal the array elements when an array is marshaled from managed to unmanaged code as a .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a SAFEARRAY pointer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates length prefixed bytes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that a blob contains an object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a Boolean value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a BSTR string.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that a value is a reference.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a C style array.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates the clipboard format.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a class ID.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a currency value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a DATE value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a decimal value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an IDispatch pointer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that a value was not specified.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an SCODE.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a FILETIME value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an HRESULT.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a char value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a short integer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a long integer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a 64-bit integer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an integer value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a null-terminated string.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a wide string terminated by null.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a null value, similar to a null value in SQL.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a pointer type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a float value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a double value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a user defined type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a SAFEARRAY. Not valid in a VARIANT.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that the name of a storage follows.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that a storage contains an object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that the name of a stream follows.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates that a stream contains an object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a byte.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an unsigned short.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an unsigned long.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an 64-bit unsigned integer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an unsigned integer value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates an IUnknown pointer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a user defined type.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a VARIANT far pointer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a simple, counted array.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.VarEnum To be added

  Indicates a C style void.